[Launch]
ProgramExecutable="VideoConverter\VideoConverter.exe"
SingleAppInstance=true
WaitForProgram=true
WaitForExe1=VideoConverter.exe
DirectoryMoveOK=yes
SupportsUNC=yes

[Activate]
Registry=true

[RegistryValueWrite]
HKCU\Software\Joyoshare\Joyoshare Video Converter\WinSparkle\CheckForUpdates=REG_SZ:0

[RegistryKeys]
JVideoConverter="HKCU\Software\Joyoshare"
-=HKCU\Software\QtProject
-=HKCU\Software\Microsoft\Direct3D\MostRecentApplication

[RegistryCleanupForce]
1=HKCU\Software\Joyoshare Co., Ltd.\Joyoshare Video Converter

[RegistryCleanupIfEmpty]
1=HKCU\Software\Joyoshare Co., Ltd.

[DirectoriesMove]
JVideoConverter=%USERPROFILE%\AppData\Local\Joyoshare Video Converter
Joyoshare Video Converter=%DOCUMENTS%\Joyoshare Video Converter

[DirectoriesCleanupIfEmpty]
1=%DOCUMENTS%\Joyoshare Video Converter

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\JVideoConverter.reg
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\JVideoConverter.reg
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\JVideoConverter.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\